package com.brilliance.isc.swift.objmtconvert.model.mt7xx.tag.tag756;

import com.brilliance.isc.swift.objmtconvert.model.AbsMTCreator;
import com.brilliance.isc.swift.objmtconvert.model.AbsTagCreate;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT756Creator;
import com.brilliance.isc.swift.objmtconvert.model.mt7xx.MT759Creator;

public class Tag20Creator extends AbsTagCreate {
    private MT756Creator mt756Creator;

    public Tag20Creator(AbsMTCreator absMTCreator)
    {
        super(absMTCreator);
        this.mt756Creator= (MT756Creator) absMTCreator;
    }

    public  void creator()
    {
        String tag20Value = mt756Creator.getSendersReference();
        mt756Creator.set("20", tag20Value);
    }
}
